Commit b172d4be authored by THEO GUILLON's avatar THEO GUILLON

Merge branch '391-preparation-tag' into '2.0.0'

Resolve "Préparation tag v2.0.0"

See merge request libriciel/pole-citoyens/web-DPO/web-DPO!364
parents 20040416 5ef3966e
Pipeline #10830 failed with stage
in 1 minute and 11 seconds
deploy_ftp:
only:
- tags
image: ubuntu:16.04
image: ubuntu:20.04
variables:
TARBALL_NAME: web-dpo-${CI_COMMIT_REF_NAME}.tar.gz
PAYLOAD: "payload={\"text\": \"[web-DPO] Création de la version [$CI_COMMIT_REF_NAME](https://ressources.libriciel.fr/web-dpo/Package_web-dpo-${CI_COMMIT_REF_NAME}.tar.gz)\"}"
......@@ -21,7 +21,12 @@ deploy_ftp:
- apt-get update && apt-get dist-upgrade -y -q
- apt-get install -y openssh-client lftp curl git
- apt-get install -y php7.0 php7.0-curl php-pear php7.0-gd php7.0-mbstring php7.0-mcrypt npm wget
- apt-get install -y php7.4 php7.4-curl php-pear php7.4-gd php7.4-mbstring npm wget
- pecl channel-update pecl.php.net
- pecl install mcrypt-1.0.3
- echo "extension=mcrypt.so" > /etc/php/7.4/mods-available/mcrypt.ini
- phpenmod mcrypt
- pear channel-update pear.php.net
- php -v
- curl -s https://getcomposer.org/installer | php
- npm install -g bower
......
# Application web-DPO v1.1.0
# Application web-DPO v2.0.0
[![Minimum PHP Version](https://img.shields.io/badge/php-%3E%3D%207.0-8892BF.svg)](https://php.net/)
[![License](https://img.shields.io/badge/licence-CeCILL%20v2-blue.svg)](http://www.cecill.info/licences/Licence_CeCILL_V2-fr.html)
[![Requires](https://img.shields.io/badge/requires-CakePHP%202.10-navy.svg)](http://book.cakephp.org/3.0/fr/index.html)
## Présentation
Vous êtes en présence des sources de l'application **web-DPO** version 1.1.0
Vous êtes en présence des sources de l'application **web-DPO** version 2.0.0
Avant toute nouvelle installation, veuillez faire une sauvegarde de la base de données ainsi que la version actuelle des
sources.
......@@ -17,11 +17,11 @@ Veuillez suivre les indications décrites dans la documentation d'installation :
### Pré-requis
- CakePHP 2.10
- PHP 7.0
- PostgrSQL 9.5
- PHP 7.4
- PostgrSQL 12.2
### Support
Les produits édités par **Libriciels** sont libres sous licence "CeCILL v2".
Les produits édités par **Libriciel** sont libres sous licence "CeCILL v2".
Pour bénéficier du **support** de nos services pour l'installation et/ou la configuration du produit, ou pour bénéficier
de la **maintenance**, merci de contacter un commercial pour ouvrir un compte.
\ No newline at end of file
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment